Axway AMPLIFY Blogs

The Leading Resource for All THings Mobile & Data Integration

RC Release of Titanium SDK 6.3.0 & CLI 6.30

23 Flares 23 Flares ×

Today, we published Release Candidate versions of Axway Titanium SDK and Axway Appcelerator CLI – both the CLI core and the CLI node package were updated. The releases include 9 features, 36 bug fixes, and 8 improvements. For a more detailed overview, known issues and closed tickets, see the release notes:

Update Axway Appcelerator CLI

To update the CLI node package and core from the command line:

[sudo] npm install -g appcelerator@4.2.10-2
appc use 6.3.0-14

To roll the CLI node package and core back:

[sudo] npm install -g appcelerator
appc use latest

Update Axway Titanium SDK

To update the SDK from the command line:

[appc] ti sdk install --branch 6_3_X -d

To roll back:

[appc] ti sdk select latest

Reminder for Windows Users: If you use Hyperloop, Hyperloop 2.1.2 or later is required for Windows users who use SDK 6.1.1 and above.

Report bugs

If you run into any issues that seem related to the updates, please report them on JIRA.

First, check if it’s a known issue you can watch. If you can’t find an existing ticket, then create one in the Appcelerator Community (AC) project and add as much relevant information as you can, including the release version you are using.

You can leave general comments as a reply to this blog post.

23 Flares Twitter 0 Facebook 0 Google+ 0 LinkedIn 23 Email -- 23 Flares ×

6 Comments

Leave a Reply

Your email address will not be published. Required fields are marked *

  1. Imraan Jhetam

    When will Hyerloop 2.2 be available. The documents refer to it frequently.

    • Erin Bailey

      Soon!

  2. Donovan

    Having a issue with launch screen images. They are incredibly small for some reason. On iPad they are about 1/3 the size they use to be. I’m using the default storyboard.

    • Erin Bailey

      Thanks for the feedback! Looking into it.

  3. Derek

    Hi, we were hoping this latest RC would resolve the this fireEvent issue we’ve encountered since 6.2.X:

    “Invalid type in JSON write (TiUIViewProxy)”

    I presumed this line item would have resolved it in the current RC:

    – TIMOB-25346 – JSON parse error with Ti.App.fireEvent in 6.2.0.GA plus

    …but the issue persists using SDK version 6.3.0.v20171018084007

    • Here Deric! Yes, it’s supposed to be fixed in the RC. I’ll get in touch with you via mail really quickly to quick on your setup, thanks!

computer and tablet showing Appcelerator software
Start free, grow from there.
23 Flares Twitter 0 Facebook 0 Google+ 0 LinkedIn 23 Email -- 23 Flares ×